package com.gh.gamecenter.common.utils

class FIFOMap<K, V>(private val maxEntries: Int) : LinkedHashMap<K, V>(maxEntries + 1, 1.0f, false) {

    override fun removeEldestEntry(eldest: MutableMap.MutableEntry<K, V>?): Boolean {
        return size > maxEntries
    }

}